- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes

# WindowPlugin Class Reference

Search for all occurrences

## Detailed Description

WindowPlugin is an interface to implement window based plugins.

When a window based plugin inherits from this class, it will be automatically added as a Window menu item and also in the New Tab contextual menu.

Definition at line 56 of file plugin.h.

`#include <plugin.h>`

Inheritance diagram for WindowPlugin:
[legend]

List of all members.

## Public Member Functions
virtual void | Start ()=0
| This method is called when Mudbox is loaded.
virtual void | Stop ()=0
| This method is called when Mudbox quits.
virtual bool | IsEnabled ()=0
| This method returns whether the plugin is currently enabled or not.
virtual QWidget * | CreateWidget (QWidget *parent, QString name)=0
| This method must implement the widget creation.
virtual QWidget * | Widget ()=0
| This method returns a pointer to the widget.
virtual QString | Name ()
| This method returns the name of the plugin.
virtual QString | Title ()
| This method returns the title of the plugin.
virtual bool | AddToWindowMenu ()
| This method returns true if the plugin is added to the window menu.
## Protected Attributes
QString | m_name
QString | m_title
bool | m_addToWindowMenu

## Member Function Documentation

virtual void Start | ( |  | ) | `[pure virtual]`

Search for all occurrences

This method is called when Mudbox is loaded.

virtual void Stop | ( |  | ) | `[pure virtual]`

Search for all occurrences

This method is called when Mudbox quits.

virtual bool IsEnabled | ( |  | ) | `[pure virtual]`

Search for all occurrences

This method returns whether the plugin is currently enabled or not.

virtual QWidget* CreateWidget | ( | QWidget * | parent,
|  | QString | name
| ) |  | `[pure virtual]`

Search for all occurrences

This method must implement the widget creation.

virtual QWidget* Widget | ( |  | ) | `[pure virtual]`

Search for all occurrences

This method returns a pointer to the widget.

virtual QString Name | ( |  | ) | `[virtual]`

Search for all occurrences

This method returns the name of the plugin.

virtual QString Title | ( |  | ) | `[virtual]`

Search for all occurrences

This method returns the title of the plugin.

virtual bool AddToWindowMenu | ( |  | ) | `[virtual]`

Search for all occurrences

This method returns true if the plugin is added to the window menu.

## Member Data Documentation

QString m_name `[protected]`

Search for all occurrences

Definition at line 84 of file plugin.h.

QString m_title `[protected]`

Search for all occurrences

Definition at line 85 of file plugin.h.

bool m_addToWindowMenu `[protected]`

Search for all occurrences

Definition at line 86 of file plugin.h.

The documentation for this class was generated from the following file:

- Mudbox/plugin.h

WindowPlugin WindowPlugin WindowPlugin WindowPlugin WindowPlugin WindowPlugin WindowPlugin WindowPlugin WindowPlugin WindowPlugin
WindowPlugin WindowPlugin WindowPlugin WindowPlugin WindowPlugin WindowPlugin WindowPlugin WindowPlugin WindowPlugin WindowPlugin